package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.StrategyWbMaximumImpressions;

/**
 * Created by gerdler on 08.09.18.
 */
public class StrategyWbMaximumImpressionsMap extends StrategyMaximizeImpressionsBaseMap<StrategyWbMaximumImpressionsMap> {

    public StrategyWbMaximumImpressionsMap() {
        super();
        setBean(new StrategyWbMaximumImpressions());
    }

    public StrategyWbMaximumImpressionsMap(StrategyWbMaximumImpressions strategyWbMaximumImpressions) {
        super();
        setBean(strategyWbMaximumImpressions);
    }

    public StrategyWbMaximumImpressionsMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public StrategyWbMaximumImpressionsMap withDefaultWbMaximumImpressions(Long averageCpm, Long spendLimit) {
        this.withDefaultMaximumImpressions(averageCpm, spendLimit);
        return this;
    }
}
